Control machine requirements for Installing Ansible

0 votes
What are the control machine requirements for Installing Ansible?
Jan 9 in Ansible by Harish
78 views

2 answers to this question.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
+2 votes

Requirements for control machine:

Ansible will work fine on any machine that has python version 2 or higher. Windows isn't supported as of now.

Requirements for nodes:

On your managed nodes you need a way to communicate and by default it uses ssh. 

answered Jan 9 by Haider Ali
+2 votes
Ansible can be run from any machine with Python 2 (versions 2.6 or 2.7) or Python 3 (versions 3.5 and higher) installed.
Note: Windows does not support control machine.
By default, Ansible uses ssh to manage remote machine.
answered May 13 by anonymous

Related Questions In Ansible

0 votes
1 answer

unable to build grails war on a vagrant machine using ansible

Try and run the command using shell ...READ MORE

answered Jul 2, 2018 in Ansible by ajs3033
• 7,040 points
41 views
0 votes
1 answer
0 votes
1 answer
+13 votes
2 answers
0 votes
1 answer
0 votes
1 answer

© 2018 Brain4ce Education Solutions Pvt. Ltd. All rights Reserved.
"PMP®","PMI®", "PMI-ACP®" and "PMBOK®" are registered marks of the Project Management Institute, Inc. MongoDB®, Mongo and the leaf logo are the registered trademarks of MongoDB, Inc.